<template>
  <section id="forms" class="container mx-auto max-w-4xl text-primary">
    <div class="mb-4">
      <h1 class="text-4xl font-bold">Forms</h1>
    </div>
    <div class="grid grid-cols-4 gap-4 border-b-2 border-secondary">
      <div class="font-bold">Name</div>
    </div>
    <div
      v-for="(f, index) in forms"
      :key="f.id"
      class="grid grid-cols-4 gap-4 my-2"
    >
      <div class="col-span-3">
        <nuxt-link
          :to="`/form/${f.id}`"
          class="block py-2 text-primary font-semibold hover:text-secondary transition duration-300"
        >
          <p>{{ f.title }}</p>
          <p class="text-xs text-secondary font-light">#{{ f.id }}</p>
        </nuxt-link>
      </div>
      <div class="text-right p-4">
        <nuxt-link
          :to="`/builder?edit=${f.id}`"
          class="mx-2 hover:text-gray-500 transition duration-300"
          >Edit</nuxt-link
        >
        <span
          @click="deleteForm(index)"
          class="mx-2 text-red-900 cursor-pointer hover:text-red-700 transition duration-300"
          >Delete</span
        >
      </div>
    </div>
  </section>
</template>
<script>
export default {
  mounted() {
    // Get forms from localStorage
    this.forms = JSON.parse(localStorage.getItem('forms'))
  },
  data() {
    return {
      forms: [],
    }
  },
  methods: {
    deleteForm(index) {
      this.forms.splice(index, 1)
      localStorage.setItem('forms', JSON.stringify(this.forms))
    },
  },
}
</script>
